Skip to main content
POST
/
exchange-rate-periods
Create an exchange rate period
curl --request POST \
  --url https://www.ruddr.io/api/workspace/exchange-rate-periods \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start": "2023-12-25",
  "end": "2023-12-25",
  "fromCurrency": "<string>",
  "toCurrency": "<string>",
  "rate": 123
}
'
{
  "id": "7a3f1c9e-84b2-4d56-a017-2e5f8c3d91a4",
  "fromCurrency": "USD",
  "toCurrency": "GBP",
  "start": "2025-01-01",
  "end": "2025-03-31",
  "rate": 0.78,
  "createdAt": "2025-03-10T19:29:12.735Z"
}
A custom exchange rate for a specific date range, overriding the default workspace exchange rates.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
start
string<date>
required

The start date for the period. Will be in the form YYYY-MM-DD.

end
string<date>
required

The end date for the period. Will be in the form YYYY-MM-DD.

fromCurrency
string
required

The 3-letter ISO 4217 currency code for the source currency.

toCurrency
string
required

The 3-letter ISO 4217 currency code for the target currency. Must differ from fromCurrency.

rate
number
required

The exchange rate applied when converting from fromCurrency to toCurrency.

Response

200

id
string

The unique identifier for the object.

fromCurrency
string

The 3-letter ISO 4217 currency code for the source currency.

toCurrency
string

The 3-letter ISO 4217 currency code for the target currency.

start
string<date>

The start date for the period. Will be in the form YYYY-MM-DD.

end
string<date>

The end date for the period. Will be in the form YYYY-MM-DD.

rate
number

The exchange rate applied when converting from fromCurrency to toCurrency.

createdAt
string<date-time>

The timestamp when the object was created.